Nouveaux paquets Testing pour opsi 4.0 et 4.1

Ce forum est dédié au nouveautés, événements autour du projet Opsi
otto
Beiträge: 24
Registriert: 08 Aug 2017, 12:16

Nouveaux paquets Testing pour opsi 4.0 et 4.1

Beitragvon otto » 10 Apr 2018, 16:36

Chers utilisateur d'opsi,

es wurden weiter Pakete für opsi 4.0 und opsi 4.1 in Testing veröffentlicht.
nous avons publié encore d'autres paquets pour opsi 4.0 et opsi 4.1 en Testing.

Pour la nouvelle extension opsi pour des écoles / salles de formation 'opsi-vhd-reset',
il y a ensuite un programme 'opsi-vhd-auto-upgrade' qui contrôle les procédures d'une actualisation de la VHD parent.
Voir également le manuel.

Les produits NT6 Netboot ont obtenu des fixes diverses dans la domaine multidisk.

Nous avons révisé les procédures pour WIM-Capture de manière substantielle.
Cela se manifeste dans un nouveau produit opsi-win-capture et aussi dans le produit
opsi-win-capture qui est similaire.

Les manuels opsi-getting-started, opsi-manual et opsi-winst-manual sont en outre comme pdf en testing.

Comme Testing nous publions:

Windows Netboot
NT6 4.1.0.0-5

Produits Windows LocalBoot

* opsi-wim-capture (4.1.0.1-1) (require opsi-winst 4.12.0.15)
* opsi-winst 4.12.0.15
* jedit_5.4.0-1
* windows10-upgrade 17.09-8

opsi-linux Produkte

Produits Linux Netboot:

* debian9 (4.1.0.0-1)

Produits Linux LocalBoot

* opsi-linux-client-agent 4.1.0.0-1

opsi-local-image / opsi-vhd:

* opsi-vhd-auto-upgrade (4.1.0.0-1) (require opsi-winst 4.12.0.15)
* opsi-local-image-wim-capture 4.1.0.1-1 (require opsi-winst 4.12.0.15)
(Ces produits remplacent les produits suivants:
opsi-local-image-capture, opsi-local-image-sysprep)
* opsi-local-image-ubuntu (4.1.0.0-2)
* opsi-local-image-restore (4.1.0.0-3)
* opsi-local-image-prepare (4.1.0.0-2)

Paquets serveur:
opsi 4.0:
* opsi-depotserver 4.0.7.3-3
* opsi4ucs 4.0.7.5-11
* opsiconfd 4.0.7.14-2
* opsipxeconfd 4.0.7.9-2
* python-opsi 4.0.7.57-1

opsi 4.1:
* opsi-server 4.1.1.4-10
* opsi4ucs 4.1.1.4-12
* opsiconfd 4.1.1.10-4
* opsipxeconfd 4.1.1.8-2
* python-opsi 4.1.1.29-1


Divers:

* le produit opsi-set-win-uac s'était déplacé dans le domaine contribute
* le produit opsi-local-image-opensuse13-2 est éliminé.
* le produit opsi-local-image-capture est éliminé.
* le produit opsi-local-image-sysprep est éliminé.


detlef oertel


Changelogs:
=============================

opsi-winst/opsi-script (4.12.0.15) stable; urgency=low

* oswebservice: getMapOfLoginscripts2Run: fix: check not only for productId but also for productVersion and PackageVersion
* oswebservice: getMapOfLoginscripts2Run: change logging to log_prog

-- Detlef Oertel <d.oertel@uib.de> Fri, 09 Mar 2018:15:00:00 +0200

opsi-winst/opsi-script (4.12.0.14) stable; urgency=low

* osparser: evaluateBoolean: sendlog: switch log append mode on
in order to avoid that a final log removes this one
* new function : getSubListByMatch(<search string>, <target list>) :stringlist
* new function : getSubListByMatch(<search list>, <target list>) :stringlist
* new function : getSubListByContaining(<search string>, <target list>) :stringlist
* new function : getSubListByContaining(<search list>, <target list>) :stringlist
* new function : getSubListByKey(<search string>, <target list>) :stringlist
* new function : getSubListByKey(<search list>, <target list>) :stringlist
* new function : getKeyList(<list>) :stringlist

-- Detlef Oertel <d.oertel@uib.de> Tue, 13 Feb 2018:15:00:00 +0200

opsi-winst/opsi-script (4.12.0.13-2) stable; urgency=low

* uib_bootutils: DefFunc enablePEPartition: use powershell if possible

-- Detlef Oertel <d.oertel@uib.de> Wed, 07 Dec 2018:15:00:00 +0200


=============================
jedit_5.4.0-1 stable; urgency=low

* update to 5.4 (require java >= 8)
* opsi-script.xml for opsi-script 4.12.0.15

-- d.oertel <d.oertel@uib.de> Tue, 13 Mar 2018 15:00:00 + 0100

=============================
opsi-linux-client-agent (4.1.0.0-1) stable; urgency=medium

* opsi-script 4.12.0.14
* opsiscriptstarter 4.1.0. (fall back to smb1)

-- d.oertel <d.oertel@uib.de> Mon, 05 Mar 2018 15:00:00 + 0100

opsi-linux-client-agent (4.0.7.20-1) stable; urgency=low

* opesnSuse Leap42.X: starting sshd in setupscript

-- Mathias Radtke <m.radtke@uib.de> Tue, 19 Dec 2017 15:25:00 +0100

opsi-linux-client-agent (4.0.7.19-1) stable; urgency=medium

* openSUSE Leap 42.2: zypper install librsync2
* Suse 13.2: removed

-- Bardo Wolf <b.wolf@uib.de> Thu 07 Nov 2017

opsi-linux-client-agent (4.0.7.18-1) stable; urgency=medium

* UCS: using univention-installer instead of apt-get

-- Mathias Radtke <m.radtke@uib.de> Mon, 06 Nov 2017 10:48:00 +0100

=============================
opsi-vhd-auto-upgrade (4.1.0.0-1) stable; urgency=low

* initial
* derivated from opsi-vhd-tester
* priority: -97
* switch opsi-vhd-tester to none

-- detlef oertel <d.oertel@uib.de> Mon, 05 Feb 2018 15:00:00 +0200

=============================
opsi-wim-capture (4.1.0.1-1) stable; urgency=low

* windows 7 tools removed
* all imagex commands migrated to wimlib
* also supports .esd (not only .wim) via wimlib (imagex)
* remove winst32/dummy.exe (replaced by test32bit.exe
* code cleanup
* opsisetuplib from 5.2.2018
* require opsi-winst 4.12.0.14
* new property force_clear_lock

-- detlef oertel <d.oertel@uib.de> Wed, 07 Feb 2018 15:00:00 +0000

=============================
opsi-local-image-capture (4.1.0.1-1) stable; urgency=low

* merged from:
opsi-wim-capture (4.1.0.1-1)
opsi-local-image-capture (4.0.7.2-2)
* opsisetuplib from 5.2.2018
* windows 7 tools removed
* all imagex commands migrated to wimlib
* also supports .esd (not only .wim) via wimlib (imagex)
* remove winst32/dummy.exe (replaced by test32bit.exe
* code cleanup
* require opsi-winst 4.12.0.14

-- detlef oertel <d.oertel@uib.de> Wed, 07 Feb 2018 15:00:00 +0000

=============================
windows (4.1.0.0-5) stable; urgency=low

* nt6_repartition.opsiscript: fix if datapartition and remove pe
* nt6_repartition.opsiscript: fix for win7 (no ps get-partition)
* nt6_repartition : fix: get uuid from diskpart output parsing
* nt6_repartition: fix loop bug in older opsiscript in calling subhide2
* nt6_repartition: fix in call unhidepart.txt
* nt6_repartition: fix uuid handling
* nt6.py: diskpart.txt: del pe: change sequence of datapartition handling

-- Detlef Oertel <d.oertel@uib.de> Fri, 09 Mar 2018:15:00:00 +0200

=============================

windows10-upgrade (17.09-8) stable; urgency=low
* requiredWinstVersion >= 4.12.0.8
-- bardo wolf <b.wolf@uib.de> 26 Feb 2018

windows10-upgrade (17.09-7) stable; urgency=low
* fixes #3386 windows10-upgrade uac-level according https://forum.uib.de/viewtopic.php?f=7& ... 1&start=10

-- bardo wolf <b.wolf@uib.de> 22 Feb 2018

windows10-upgrade (17.09-6) testing; urgency=low
* if exists use c:\opsi.org\applog instead of c:\tmp
-- bardo wolf <b.wolf@uib.de> 21 Feb 2018

windows10-upgrade (17.09-5) testing; urgency=low
* try to fix check if already targetversion installed
-- bardo wolf <b.wolf@uib.de> 20 Feb 2018

=============================

opsi-local-image (4.1.0.0-2) testing; urgency=low

* preinst/postinst: removed opsi version check
* call getUuidFromPartitionDevice from opsisetuplib

-- Mathias Radtke <m.radtke@uib.de> Wed Feb 7 07:50:10 2018 +0200

=============================
debian9 (4.1.0.0-1) testing; urgency=low

* Kernel update

-- Mathias Radtke <m.radtke@uib.de> Tue Mar 13 13:18:00 2018 +0100
=============================
opsi-local-image-restore (4.1.0.0-3) stable; urgency=low

* conserve opsi-mete-data of opsi-local-image-wim-capture

-- detlef oertel <d.oertel@uib.de> Thu, 15 Mar 2018 15:00:00 +0200
=============================

opsi-server (4.1.1.4-10) stable; urgency=medium

* based on opsi-depotserver 4.0.7.3-3.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 09 Mar 2018 13:34:21 +0100

opsi-depotserver (4.0.7.3-3) stable; urgency=medium

* Quote shell variables to avoid possible side effects.
* postinst: Do not fail on renaming fileadmingroup.

-- Niko Wenselowski <n.wenselowski@uib.de> Mon, 09 Mar 2018 13:05:33 +0100

=============================

opsi4ucs (4.1.1.4-12) stable; urgency=medium

* Based on 4.0.7.5-11.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 02 Mar 2018 16:49:53 +0100

opsi4ucs (4.0.7.5-11) testing; urgency=medium

* Display a message if reloading samba fails.
* Use systemctl for samba reloads on UCS 4.2.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 02 Mar 2018 13:43:40 +0100

=============================

opsiconfd (4.1.1.10-4) stable; urgency=medium

* Based on opsiconfd 4.0.7.14-2.
* postinst: Assuming that systemctl exists.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 09 Mar 2018 14:01:37 +0100

opsiconfd (4.0.7.14-2) stable; urgency=medium

* RPM: prevent possible shell syntax errors.
* postinst: Added quotation around variables to avoid side effects.
* postinst: Do not fail on renaming fileadmingroup.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 09 Mar 2018 12:33:07 +0100

=============================

opsipxeconfd (4.1.1.8-2) stable; urgency=medium

* Based on opsipxeconfd 4.0.7.9-2.
* Assuming systemctl is present and executable.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 09 Mar 2018 14:25:13 +0100

opsipxeconfd (4.0.7.9-2) stable; urgency=medium

* RPM: only use restart macro on SUSE distros.
* RPM: Avoid possible bash syntax error.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 09 Mar 2018 11:55:23 +0100

=============================

python-opsi (4.1.1.29-1) stable; urgency=medium

* OPSI.Util.Task.Certificate: use os.urandom instead of OpenSSL.rand
because OpenSSL.rand has been removed in current versions.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 09 Mar 2018 15:40:23 +0100

python-opsi (4.0.7.57-1) testing; urgency=medium

* OPSI.Backend.MySQL: In case the MySQL server goes away during the
execution of a query the retry will not deadlock.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 23 Feb 2018 12:58:25 +0100

python-opsi (4.0.7.56-1) testing; urgency=medium

* OPSI.Backend.MySQL: Creation of connection pool will wait for the lock
in a non-blocking fashion.

-- Niko Wenselowski <n.wenselowski@uib.de> Tue, 20 Feb 2018 13:34:45 +0100

python-opsi (4.0.7.55-1) stable; urgency=medium

* OPSI.Backend.Backend: configState_insertObject and
configState_updateObject
do not fail anymore when called with a dict as parameter.

-- Niko Wenselowski <n.wenselowski@uib.de> Fri, 02 Feb 2018 14:32:28 +0100

python-opsi (4.0.7.54-1) stable; urgency=medium

* OPSI.Backend.MySQL: Avoid possible deadlock situation.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 01 Feb 2018 15:27:03 +0100

python-opsi (4.0.7.53-1) testing; urgency=medium

* OPSI.Backend.MySQL: Fix a bug in the handling of the connection pool
that would lead to opening too many connections to the mysql server.
* OPSI.Backend.MySQL: Correctly defining a special version of
productProperty_updateObject.

-- Niko Wenselowski <n.wenselowski@uib.de> Thu, 04 Jan 2018 15:05:09 +0100

=============================
opsi-local-image-prepare (4.1.0.0-2) stable; urgency=low

* del grub on disk before restore

-- detlef oertel <d.oertel@uib.de> wed, 07 Feb 2018 15:00:00 +0200
=============================